﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TicketSystem.ServiceContract
{
    public class Ticket
    {
        public int TicketId { get; set; }

        public int TableNumber { get; set; }

        public int ServerId { get; set; }

        public List<Order> Orders { get; set; }

        public DateTime Timestamp { get; set; }
    }

    public class Order
    {
        public MenuCategory Category { get; set; }

        public int MenuId { get; set; }

        public string ItemDescription { get; set; }
    }

    public enum MenuCategory
    {
        Others = -1,

        Appetizer = 0,

        MainCourse = 1,

        Dessert = 2
    }

    public class GetAllTicketsInQueueRequest
    {

    }

    public class QueueTicketRequest
    {
        public Ticket Ticket { get; set; }
    }

    public class PullTicketRequest
    {

    }

    public interface ITicketService
    {
        List<Ticket> Any(GetAllTicketsInQueueRequest request);

        void Any(QueueTicketRequest request);

        Ticket Any(PullTicketRequest request);
    }

}
