﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using ServiceStack.WebHost.Endpoints;

namespace ServiceStackServer
{
    public class Global : System.Web.HttpApplication
    {
        public class TicketServiceHost : AppHostBase
        {
            //Register your web service with ServiceStack.
            public TicketServiceHost() 
                : base("Ticket Service", typeof(TicketService).Assembly) 
            { }

            public override void Configure(Funq.Container container)
            {
                //Register any dependencies your services use here.
            }
        }

        protected void Application_Start(object sender, EventArgs e)
        {
            //Initialize your web service on startup.
            new TicketServiceHost().Init();
        }
    }
}