﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace TicketSystem.ServiceContract
{
    [ServiceContract]
    public interface ITicketServiceAlt
    {
        [OperationContract]
        List<Ticket> GetAllTicketsInQueue(GetAllTicketsInQueueRequest request);

        [OperationContract]
        void QueueTicket(QueueTicketRequest request);

        [OperationContract]
        Ticket PullTicket(PullTicketRequest request);
    }

    [DataContract]
    public class GetAllTicketsInQueueRequest
    {

    }

    [DataContract]
    public class QueueTicketRequest
    {
        [DataMember]
        public Ticket Ticket { get; set; }
    }

    [DataContract]
    public class PullTicketRequest
    {

    }
}
